
Katello - Feature #6321

Bastion pages should enforce permissions when entering the page

06/20/2014 06:26 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1111695 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/438
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1111695

Description of problem:

In other words you can copy/paste a URL and visit a Bastion page directly even if you don't have permissions to visit that page.

Version-Release number of selected component (if applicable):

Latest.

How reproducible:

Always.

Steps to Reproduce:

1. Create a role

2. Add a single filter to the role

3. Create a user

4. Add the role from step 1 to the user

5. Logout

6. Login as the user from step 3

7. Visit another bastion page not governed by the permission created in step 2

8. Note you can access the page (but nothing is displayed as the REST calls result in 403s).

Actual results:

You can access the page (but nothing is displayed as the REST calls result in 403s).

Expected results:

A message that tells the user they don't have permission to view this page

Additional info:

Related issues:

Related to Katello - Feature #5217: As a user, I should have CRUD permissions... Closed 04/16/2014

Associated revisions

Revision 461630b5 - 07/17/2014 07:22 AM - Walden Raines

Fixes #6321/BZ1111695: check permission before displaying bastion page.

Ensure the current user has the correct permission prior to displaying

the Bastion page.  Before this commit the page would display with 403s

for any requests the user did not have access to.

http://projects.theforeman.org/issues/6321

https://bugzilla.redhat.com/show_bug.cgi?id=1111695
Revision f09b5b43 - 07/17/2014 07:22 AM - Walden Raines

Fixes #6321/BZ1111695: check permission before displaying bastion page.

Ensure the current user has the correct permission prior to displaying

the Bastion page.  Before this commit the page would display with 403s

for any requests the user did not have access to.

http://projects.theforeman.org/issues/6321

https://bugzilla.redhat.com/show_bug.cgi?id=1111695

Revision 0d2fa2b0 - 07/17/2014 08:19 AM - Walden Raines

Merge pull request #4382 from waldenraines/6321

Fixes #6321/BZ1111695: check permission before displaying bastion page.

History

#1 - 06/20/2014 06:55 PM - Walden Raines

- Related to Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#2 - 06/23/2014 12:27 PM - Eric Helms

- Target version set to 48

- Difficulty set to easy

- Triaged set to Yes

#3 - 06/23/2014 12:29 PM - Walden Raines

- Difficulty changed from easy to medium

#4 - 06/24/2014 09:07 PM - Walden Raines

- Tracker changed from Bug to Feature

- Subject changed from Bastion pages do not enforce permissions when entering the page to Bastion pages should enforce permissions when

entering the page

#5 - 07/02/2014 10:17 AM - Walden Raines

- Status changed from New to Assigned

#6 - 07/02/2014 03:52 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4382

#7 - 07/07/2014 07:10 AM - Eric Helms

- Target version changed from 48 to 49

#8 - 07/14/2014 04:11 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/4382 added

#9 - 07/17/2014 09:01 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|461630b5b54ab25b57dd422193b4679c425a6e60.

#10 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://projects.theforeman.org/issues/6321
https://bugzilla.redhat.com/show_bug.cgi?id=1111695
https://github.com/Katello/katello/pull/4382
https://projects.theforeman.org/projects/katello/repository/katello/revisions/461630b5b54ab25b57dd422193b4679c425a6e60
http://www.tcpdf.org

